import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import DeepseekLogoLight from './DeepseekLogoLight';
import DeepseekLogoDark from './DeepseekLogoDark';
import { useThemeModification, useBrandModification } from '../../utils';
const DeepseekLogoSvg = forwardRef(function DeepseekLogoSvg(props, ref) {
    const { isDarkTheme } = useThemeModification();
    const { isDarkBrand } = useBrandModification();
    return isDarkTheme || isDarkBrand ? (_jsx(DeepseekLogoDark, Object.assign({}, props, { ref: ref }))) : (_jsx(DeepseekLogoLight, Object.assign({}, props, { ref: ref })));
});
export default DeepseekLogoSvg;
